Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452457 - Review Request: perl-Crypt-CAST5_PP - CAST5 block cipher in pure Perl
Summary: Review Request: perl-Crypt-CAST5_PP - CAST5 block cipher in pure Perl
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 452616 (view as bug list)
Depends On:
Blocks: F-Spacewalk
TreeView+ depends on / blocked
 
Reported: 2008-06-23 04:02 UTC by Nigel Jones
Modified: 2008-06-27 19:37 UTC (History)
3 users (show)

Fixed In Version: 1.04-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-27 19:35:28 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nigel Jones 2008-06-23 04:02:09 UTC
Spec URL: http://dev.nigelj.com/SRPMS/perl-Crypt-CAST5_PP.spec
SRPM URL: http://dev.nigelj.com/SRPMS/perl-Crypt-CAST5_PP-1.04-1.fc9.src.rpm
Description:
This module provides a pure Perl implementation of the CAST5 block cipher.
CAST5 is also known as CAST-128. It is a product of the CAST design
procedure developed by C. Adams and S. Tavares.

Comment 1 Parag AN(पराग) 2008-06-23 04:28:12 UTC
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=675953
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
563d7ecad9193fe442cf1fe0b1da1a97  Crypt-CAST5_PP-1.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful, 2 tests skipped.
Files=3, Tests=8,  0 wallclock secs ( 0.08 cusr +  0.00 csys =  0.08 CPU)
+ Package perl-Crypt-CAST5_PP-1.04-1.fc10 =>
Provides:
 perl(Crypt::CAST5_PP) = 1.04
Requires:
 perl >= 0:5.004
 perl(:MODULE_COMPAT_5.10.0)
 perl(AutoLoader)
 perl(Carp)
 perl(Test::More) >= 0.47
 perl(integer)
 perl(strict)
 perl(vars)


SHOULD:
    All tests should be successful. Check build.log from koji build and you will see
t/2cbc......
skipped
        all skipped: Crypt::CBC required for this test
t/3taint....
skipped
        all skipped: Test::Taint required for this test




Comment 3 Parag AN(पराग) 2008-06-23 05:59:20 UTC
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=675990

APPROVED.

Comment 4 Nigel Jones 2008-06-23 07:32:48 UTC
(In reply to comment #3)
> koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=675990
> 
> APPROVED.

Thanks

New Package CVS Request
=======================
Package Name: perl-Crypt-CAST5_PP
Short Description: CAST5 block cipher in pure Perl
Owners: nigelj
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes


Comment 5 Kevin Fenzi 2008-06-23 15:41:08 UTC
cvs done.

Comment 6 Parag AN(पराग) 2008-06-24 03:57:49 UTC
*** Bug 452616 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2008-06-26 12:00:34 UTC
perl-Crypt-CAST5_PP-1.04-2.fc9 has been submitted as an update for Fedora 9

Comment 8 Fedora Update System 2008-06-26 12:00:34 UTC
perl-Crypt-CAST5_PP-1.04-2.fc8 has been submitted as an update for Fedora 8

Comment 9 Fedora Update System 2008-06-27 19:35:26 UTC
perl-Crypt-CAST5_PP-1.04-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-06-27 19:37:41 UTC
perl-Crypt-CAST5_PP-1.04-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.